Subject: Re: [bfcpbis] Barry Leiba's Discuss on draft-ietf-bfcpbis-rfc4582bis-13: (with DISCUSS and COMMENT)

From: Alissa Cooper <[email-masked]>
Date: Fri, 11 Sep 2015 09:57:07 -0700

Adding Paul to this thread as he will be helping resolve comments on this draft.

> On Mar 5, 2015, at 6:46 AM, Barry Leiba <[email-masked]> wrote:
> 
> Barry Leiba has entered the following ballot position for
> draft-ietf-bfcpbis-rfc4582bis-13: Discuss
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> http://datatracker.ietf.org/doc/draft-ietf-bfcpbis-rfc4582bis/
> 
> 
> 
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
> 
> The IANA Considerations are a bit confusing, as they appear to ask IANA
> to do things that were already done long ago.  I understand that you want
> to leave the main text of the IANA Considerations intact, for posterity,
> and you've put in some "Editorial note" things.  Maybe the best way to do
> this is to (1) change "Editorial note" to "IANA note" or "Note to IANA"
> throughout, (2) change the first IANA note (in the base Section 15) to
> clearly state that all *changes* that IANA is being asked to make are
> spelled out in "IANA note" items in the appropriate places, and (3) make
> sure that item 2 is true.  And you do need to respond to Pearl Liang's
> IANA review from 2 March, and answer her questions.
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Thanks VERY much for leaving it so that a diff with 4582 was still useful
> for review.  That helped a great deal.
> 
> It's a little nothing, so ignore this if you like, but you consistently
> use "MUST" throughout the document, except for one "SHALL" in Section
> 8.3.3.  If it were me, I'd be consistent and use "MUST" there as well, to
> avoid any question of why that one is different.
> 
> Thanks for making the editorial changes to the ABNF; I do prefer "*(X)"
> to "*[X]".  On the other hand, I actually prefer "*X" to both of those:
> there's no need to use parentheses around a single production name.  So,
> for example, this:
> 
>   BENEFICIARY-INFORMATION =   (BENEFICIARY-INFORMATION-HEADER)
>                               [USER-DISPLAY-NAME]
>                               [USER-URI]
>                              *(EXTENSION-ATTRIBUTE)
> 
> Is the same as this:
> 
>   BENEFICIARY-INFORMATION =   BENEFICIARY-INFORMATION-HEADER
>                               [USER-DISPLAY-NAME]
>                               [USER-URI]
>                              *EXTENSION-ATTRIBUTE
> 
> No harm either way, so leave it as is if you really like it, but... why
> the parentheses, especially as long as you're changing them anyway?
> 
>

---

From: "Paul E. Jones" <[email-masked]>
Date: Wed, 23 Sep 2015 06:26:46 +0000

Barry,

Following up on this email (and building a growing to-do list)....
------ Original Message ------
From: "Barry Leiba" <[email-masked]>
To: "The IESG" <[email-masked]>
Cc: [email-masked]; 
[email-masked]; [email-masked]; 
[email-masked]
Sent: 3/5/2015 9:46:31 AM
Subject: [bfcpbis] Barry Leiba's Discuss on 
draft-ietf-bfcpbis-rfc4582bis-13: (with DISCUSS and COMMENT)

>Please refer to 
>http://www.ietf.org/iesg/statement/discuss-criteria.html

I added this to the list.

Easy enough.  On the list.

>the parentheses, especially as long as you're changing them anyway?

  I'll add this to the list to discuss with the co-authors.

Paul